Bug 104516 - up2date download hangs when up2date -u for kernel and kenrel-source
up2date download hangs when up2date -u for kernel and kenrel-source
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-16 13:06 EDT by Matthew Summers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-04 14:51:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Summers 2003-09-16 13:06:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
While running up2date -u with the skip kernel field uncommented in
/etc/sysconfig/rhn/up2date in the initial package download phase the connection
is getting dropped.  Happened to me 6 times yesterday at various times anywhere
from 20 minutes to 1 hour into the download.  The smaller packages are coming
down fine..its when the kernel or kernel-source come down we are getting a lost
connection and having to start over..also the up2date agent doesnt seem able to
detect a lost connection and disengage itself, ie. just hangs there doing
nothing..perhaps it might be better if it exited with an error message.  I am
currently doing <ctrl-c> to get back to the prompt. 

Version-Release number of selected component (if applicable):
up2date-2.8.40-2.7.2

How reproducible:
Always

Steps to Reproduce:
1. uncomment kernel under skip file list in config file up2date
2. issue up2date -u
3. watch the download fail after 30 mins, 1 hour or more
    

Actual Results:  The download failed.

Expected Results:  The download should have completed as expected.

Additional info: we are using a 56k dialup connection w 5k/sec download rate
displayed on the up2date screen (on average)

-just tried the download with the ssl disabled..also died..just for your info
Comment 1 Adrian Likins 2005-10-04 14:51:16 EDT
There were occasional problems with long connections being dropped that should
be resolved now.

Note You need to log in before you can comment on or make changes to this bug.